Loading...
Searching...
No Matches
Opm::BoundaryPressureCallback< TypeTag, FluidState > Class Template Reference

Callback class for a phase pressure. More...

`#include <quantitycallbacks.hh>`

## Public Types

using | ResultType = IQScalar

## Public Member Functions

| BoundaryPressureCallback (const ElementContext &elemCtx, const FluidState &boundaryFs)
| BoundaryPressureCallback (const ElementContext &elemCtx, const FluidState &boundaryFs, unsigned phaseIdx)
void | setPhaseIndex (unsigned phaseIdx)
| Set the index of the fluid phase for which the pressure should be returned.
ResultType | operator() (unsigned dofIdx) const
| Return the pressure of a phase given the index of a degree of freedom within an element context.
IQScalar | boundaryValue () const

## Detailed Description

template<class TypeTag, class FluidState>
class Opm::BoundaryPressureCallback< TypeTag, FluidState >

Callback class for a phase pressure.

The documentation for this class was generated from the following file:

- opm/models/common/quantitycallbacks.hh